using System;
using System.Data;
using System.Text;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Default : System.Web.UI.Page 
{

    protected void Page_Load(object sender, EventArgs e)
    {
        RenderForm();
    }

    /// <summary>
    /// Creates the complete page dynamically
    /// </summary>
    private void RenderForm()
    {
        //Important: Set Default.aspx as startpage! 
        string sMovieName = "3dcarouselv1.swf";
        string sMovieId = "3dcarouselv1";
        string sFlashVersion = "9.0.115.0";
        string sWMode = "opaque";
        string sSWFPath = Page.ResolveUrl("~/swfobject.js");

        string sFlashWidth = "650";
        string sFlashHeight = "300";
        string sDummyColor = "#ffffff";

        string sFlashQuality = "high";
        string sFlashScale = "noscale";
        string sFlashMenu = "false";
        string sFlashSAlign = "lt";
        string sScriptAccess = "always";
        string sFlashVars = "configfile=3dcarouselv1.xml";

        //---------------------------------------------------------------------------------
        // Include Scripts (http://blog.deconcept.com/swfobject/)
        //---------------------------------------------------------------------------------
        //Register SWFObject embed script
        Page.ClientScript.RegisterClientScriptInclude(this.GetType(), "embedscript", sSWFPath);

        //Create a new SWFObject and pass in the required parameters
        StringBuilder sb = new StringBuilder();
        sb.Append(@" var so = new SWFObject(");
        sb.Append(@""""); sb.Append(sMovieName);    sb.Append(@""", ");
        sb.Append(@""""); sb.Append(sMovieId);      sb.Append(@""", ");
        sb.Append(@""""); sb.Append(sFlashWidth);   sb.Append(@""", ");
        sb.Append(@""""); sb.Append(sFlashHeight);  sb.Append(@""", ");
        sb.Append(@""""); sb.Append(sFlashVersion); sb.Append(@""", ");
        sb.Append(@""""); sb.Append(sDummyColor); sb.Append(@"""");
        sb.Append(@"); ");
        //Additional parameters
        sb.Append(@"so.addParam(""quality"", """);          sb.Append(sFlashQuality);   sb.Append(@"""); ");
        sb.Append(@"so.addParam(""scale"", """);            sb.Append(sFlashScale);     sb.Append(@"""); ");
        sb.Append(@"so.addParam(""menu"", """);             sb.Append(sFlashMenu);      sb.Append(@"""); ");
        sb.Append(@"so.addParam(""salign"", """);           sb.Append(sFlashSAlign);    sb.Append(@"""); ");
        sb.Append(@"so.addParam(""wmode"", """);            sb.Append(sWMode);          sb.Append(@"""); ");
        sb.Append(@"so.addParam(""allowScriptAccess"", """);sb.Append(sScriptAccess);   sb.Append(@"""); ");
        sb.Append(@"so.addParam(""flashvars"", """);        sb.Append(sFlashVars);      sb.Append(@"""); ");
        sb.Append(@"so.write(""flashcontent""); ");
        //Register SWFObject definition
        Page.ClientScript.RegisterStartupScript(this.GetType(), "RenderForm", sb.ToString(), true);

        //---------------------------------------------------------------------------------
        // Add HTML to placeholder
        //---------------------------------------------------------------------------------
        sb = new StringBuilder();
        sb.Append(@"<div id=""flashcontent"" >");
        sb.Append(@"<center><a target=""_blank"" href=""http://www.macromedia.com/go/getflash/"" >");
        sb.Append(@"<img border=""0"" alt="""" src=""images/getflash.png"" />");
        sb.Append(@"</a></center>");
        sb.Append(@"</div>");

        System.Web.UI.HtmlControls.HtmlGenericControl htmlGenericControl = new System.Web.UI.HtmlControls.HtmlGenericControl();
        htmlGenericControl.InnerHtml = sb.ToString();
        this.placeHolderAnimation.Controls.Clear();
        this.placeHolderAnimation.Controls.Add(htmlGenericControl);

    }
}
